aboutsummaryrefslogtreecommitdiffstats
path: root/compose/config/db-migrator/init_pg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'compose/config/db-migrator/init_pg.sh')
-rwxr-xr-xcompose/config/db-migrator/init_pg.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/compose/config/db-migrator/init_pg.sh b/compose/config/db-migrator/init_pg.sh
new file mode 100755
index 00000000..9b5f38e1
--- /dev/null
+++ b/compose/config/db-migrator/init_pg.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+# ============LICENSE_START====================================================
+# Copyright (C) 2022 Nordix Foundation.
+# =============================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END======================================================
+
+export POLICY_HOME=/opt/app/policy
+export SQL_USER=${MYSQL_USER}
+export SQL_PASSWORD=${MYSQL_PASSWORD}
+export SCRIPT_DIRECTORY=postgres
+
+/opt/app/policy/bin/prepare_upgrade.sh ${SQL_DB}
+
+/opt/app/policy/bin/db-migrator-pg -s ${SQL_DB} -o report
+
+/opt/app/policy/bin/db-migrator-pg -s ${SQL_DB} -o upgrade
+rc=$?
+
+/opt/app/policy/bin/db-migrator-pg -s ${SQL_DB} -o report
+
+nc -l -p 6824
+
+exit $rc